org.apache.flume.formatter.output

## Class DefaultPathManager

- java.lang.Object
- - org.apache.flume.formatter.output.DefaultPathManager

- All Implemented Interfaces:
    PathManager
  Direct Known Subclasses:
    RollTimePathManager

      public class DefaultPathManager
      extends Object
      implements PathManager

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DefaultPathManager.Builder`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected File` | `currentFile`

    - ### Fields inherited from interface org.apache.flume.formatter.output.PathManager

      `CTX_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPathManager(Context context)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `File` | `getBaseDirectory()`
    `File` | `getCurrentFile()`
    `String` | `getExtension()`
    `AtomicInteger` | `getFileIndex()`
    `String` | `getPrefix()`
    `long` | `getSeriesTimestamp()`
    `File` | `nextFile()`
    `void` | `rotate()`
    `void` | `setBaseDirectory(File baseDirectory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### currentFile

          protected File currentFile

  - ### Constructor Detail

    - #### DefaultPathManager

          public DefaultPathManager(Context context)

  - ### Method Detail

    - #### nextFile

          public File nextFile()

      Specified by:
        `nextFile` in interface `PathManager`

    - #### getCurrentFile

          public File getCurrentFile()

      Specified by:
        `getCurrentFile` in interface `PathManager`

    - #### rotate

          public void rotate()

      Specified by:
        `rotate` in interface `PathManager`

    - #### getBaseDirectory

          public File getBaseDirectory()

      Specified by:
        `getBaseDirectory` in interface `PathManager`

    - #### setBaseDirectory

          public void setBaseDirectory(File baseDirectory)

      Specified by:
        `setBaseDirectory` in interface `PathManager`

    - #### getSeriesTimestamp

          public long getSeriesTimestamp()

    - #### getPrefix

          public String getPrefix()

    - #### getExtension

          public String getExtension()

    - #### getFileIndex

          public AtomicInteger getFileIndex()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.